Loading...
Searching...
No Matches
QXmppDiscoItem Class Reference

## Public Member Functions

| QXmppDiscoItem (const QString &jid, const QString &name={}, const QString &node={})
| Default constructor.
const QString & | jid () const
| Returns the JID of the item.
void | setJid (const QString &newJid)
| Sets the JID of the item.
const QString & | name () const
| Returns the name of the item.
void | setName (const QString &newName)
| Sets the name of the item.
const QString & | node () const
| Returns the node for querying the information.
void | setNode (const QString &newNode)
| Sets the node for querying the information.

## Detailed Description

Related entity that can be queried using XEP-0030: Service Discovery.

Note
  In QXmpp 1.11 and earlier, this class was called QXmppDiscoveryIq::Item.

The documentation for this class was generated from the following file:

- QXmppDiscoveryIq.h